> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dqlabs.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Asset

> Asset endpoints: Get Export Data, Get Asset, Get Asset Schema, Get Lineage, Get Assets, Update Asset, Update Asset Attribute

<script type="application/ld+json">
  {`{
            "@context": "https://schema.org",
            "@type": "TechArticle",
            "headline": "Asset",
            "description": "Asset endpoints: Get Export Data, Get Asset, Get Asset Schema, Get Lineage, Get Assets, Update Asset, Update Asset Attribute",
            "url": "https://docs.dqlabs.ai/api-reference/core/asset",
            "publisher": {
              "@type": "Organization",
              "name": "DQLabs Inc",
              "logo": "https://media.brand.dev/332adc35-5bc4-4d2b-bf78-256aa4a5e414.svg"
            }
            }`}
</script>

<Tabs>
  <Tab title="Get Export Data">
    `POST /api/v1/core/asset/export`

    Get Export Data

    **Response**

    <ResponseField name="success" type="boolean">Whether the request completed successfully</ResponseField>

    <ResponseField name="message" type="string">Human-readable result message</ResponseField>

    <ResponseField name="timestamp" type="string">ISO 8601 server timestamp</ResponseField>

    <ResponseField name="correlation_id" type="string">Unique ID for this request</ResponseField>

    <ResponseField name="data" type="object">The endpoint's response payload.</ResponseField>

    **Example**

    <CodeGroup>
      ```bash cURL theme={null}
      curl -X POST "https://<your-workspace>.prizmdata.ai/api/v1/core/asset/export" \
        -H "Authorization: Bearer <YOUR_API_TOKEN>" \
        -H "Content-Type: application/json" \
        -d '{}'
      ```
    </CodeGroup>

    ```json Response theme={null}
    {
      "success": true,
      "message": "Get Export Data",
      "timestamp": "2026-09-21T09:43:50.316067+00:00",
      "correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
      "data": {}
    }
    ```
  </Tab>

  <Tab title="Get Asset">
    `GET /api/v1/core/asset/{assetId}`

    Get an asset by its ID.

    **Path Parameters**

    <ParamField path="assetId" type="string" required={true}>
      Example: `3fa85f64-5717-4562-b3fc-2c963f66afa6`
    </ParamField>

    **Response**

    <ResponseField name="success" type="boolean">Whether the request completed successfully</ResponseField>

    <ResponseField name="message" type="string">Human-readable result message</ResponseField>

    <ResponseField name="timestamp" type="string">ISO 8601 server timestamp</ResponseField>

    <ResponseField name="correlation_id" type="string">Unique ID for this request</ResponseField>

    <ResponseField name="data" type="object">
      <ResponseField name="id" type="string">
        Example: `"5ce10aa5-24a3-4180-b459-f1593bad5012"`.
      </ResponseField>

      <ResponseField name="name" type="string">
        Example: `"ORDERS"`.
      </ResponseField>

      <ResponseField name="type" type="string">
        Example: `"TABLE"`.
      </ResponseField>

      <ResponseField name="sub_type" type="string">
        Example: `"TABLE"`.
      </ResponseField>

      <ResponseField name="qualified_name" type="string">
        Example: `"\"AF_DBT_EKS\".\"RAW\".\"ORDERS\""`.
      </ResponseField>

      <ResponseField name="parents" type="object[]">
        <ResponseField name="id" type="string">
          Example: `"92987f97-d391-4707-8dbb-00c6cdef9b42"`.
        </ResponseField>

        <ResponseField name="name" type="string">
          Example: `"AF_DBT_EKS"`.
        </ResponseField>

        <ResponseField name="type" type="string">
          Example: `"DATABASE"`.
        </ResponseField>
      </ResponseField>

      <ResponseField name="parent_asset_id" type="string">
        Example: `"e5478b85-08fa-4371-ad43-b1f1cb7b5eca"`.
      </ResponseField>

      <ResponseField name="parent_asset_name" type="string">
        Example: `"RAW"`.
      </ResponseField>

      <ResponseField name="total_views" type="integer">
        Example: `11`.
      </ResponseField>

      <ResponseField name="total_alerts" type="integer">
        Example: `0`.
      </ResponseField>

      <ResponseField name="total_issues" type="integer">
        Example: `0`.
      </ResponseField>

      <ResponseField name="total_conversations" type="integer">
        Example: `0`.
      </ResponseField>

      <ResponseField name="total_likes" type="integer">
        Example: `0`.
      </ResponseField>

      <ResponseField name="total_dislikes" type="integer">
        Example: `0`.
      </ResponseField>

      <ResponseField name="total_query" type="integer">
        Example: `162`.
      </ResponseField>

      <ResponseField name="status" type="string">
        Example: `"READY_FOR_REVIEW"`.
      </ResponseField>

      <ResponseField name="asset_metadata" type="object" />

      <ResponseField name="is_valid" type="boolean">
        Example: `false`.
      </ResponseField>

      <ResponseField name="is_active" type="boolean">
        Example: `true`.
      </ResponseField>

      <ResponseField name="is_delete" type="boolean">
        Example: `false`.
      </ResponseField>

      <ResponseField name="is_incremental" type="boolean">
        Example: `false`.
      </ResponseField>

      <ResponseField name="created_at" type="string">
        Example: `"2026-08-20T12:42:54.220354Z"`.
      </ResponseField>

      <ResponseField name="modified_at" type="string">
        Example: `"2026-09-20T12:54:48.320756Z"`.
      </ResponseField>

      <ResponseField name="identifier" type="object[]" />

      <ResponseField name="fingerprint" type="object[]">
        <ResponseField name="id" type="string">
          Example: `"2c58e584-bb9b-4f58-b4f8-e2e6053f2ce8"`.
        </ResponseField>

        <ResponseField name="label" type="string">
          Example: `"ORDER_CREATED_AT"`.
        </ResponseField>
      </ResponseField>

      <ResponseField name="criticality_score" type="number">
        Example: `1.0`.
      </ResponseField>

      <ResponseField name="criticality_category" type="string">
        Example: `"CRITICAL"`.
      </ResponseField>

      <ResponseField name="is_criticality_override" type="boolean">
        Example: `false`.
      </ResponseField>

      <ResponseField name="is_profile_type_override" type="boolean">
        Example: `false`.
      </ResponseField>

      <ResponseField name="profile_type" type="string">
        Example: `"ADVANCED"`.
      </ResponseField>

      <ResponseField name="quality_profile_type" type="string">
        Example: `"ADVANCED"`.
      </ResponseField>

      <ResponseField name="has_quality_metric_config" type="boolean">
        Example: `false`.
      </ResponseField>

      <ResponseField name="total_records" type="integer">
        Example: `4`.
      </ResponseField>

      <ResponseField name="schema_changes" type="integer">
        Example: `0`.
      </ResponseField>

      <ResponseField name="source_id" type="string">
        Example: `"d03fc400-68e1-43e1-8eb5-4386b55e11d8"`.
      </ResponseField>

      <ResponseField name="source_name" type="string">
        Example: `"airflow eks kpo"`.
      </ResponseField>

      <ResponseField name="source_type" type="string">
        Example: `"Snowflake"`.
      </ResponseField>

      <ResponseField name="details" type="object">
        <ResponseField name="id" type="string">
          Example: `"5ce10aa5-24a3-4180-b459-f1593bad5012"`.
        </ResponseField>

        <ResponseField name="bytes" type="integer">
          Example: `1536`.
        </ResponseField>

        <ResponseField name="owner" type="string" />

        <ResponseField name="comment" type="string" />

        <ResponseField name="asset_id" type="string">
          Example: `"5ce10aa5-24a3-4180-b459-f1593bad5012"`.
        </ResponseField>

        <ResponseField name="row_count" type="integer">
          Example: `4`.
        </ResponseField>

        <ResponseField name="schema_id" type="string">
          Example: `"e5478b85-08fa-4371-ad43-b1f1cb7b5eca"`.
        </ResponseField>

        <ResponseField name="created_on" type="string" />

        <ResponseField name="is_dynamic" type="boolean">
          Example: `false`.
        </ResponseField>

        <ResponseField name="is_iceberg" type="boolean">
          Example: `false`.
        </ResponseField>

        <ResponseField name="table_name" type="string">
          Example: `"ORDERS"`.
        </ResponseField>

        <ResponseField name="table_type" type="string">
          Example: `"BASE TABLE"`.
        </ResponseField>

        <ResponseField name="accessed_on" type="string" />

        <ResponseField name="foreign_key" type="object" />

        <ResponseField name="last_ddl_on" type="string">
          Example: `"2026-07-21T07:55:29.075+00:00"`.
        </ResponseField>

        <ResponseField name="primary_key" type="object" />

        <ResponseField name="schema_name" type="string">
          Example: `"RAW"`.
        </ResponseField>

        <ResponseField name="column_count" type="integer">
          Example: `5`.
        </ResponseField>

        <ResponseField name="is_temporary" type="boolean">
          Example: `false`.
        </ResponseField>

        <ResponseField name="is_transient" type="boolean">
          Example: `false`.
        </ResponseField>

        <ResponseField name="database_name" type="string">
          Example: `"AF_DBT_EKS"`.
        </ResponseField>

        <ResponseField name="clustering_key" type="string" />

        <ResponseField name="retention_time" type="string" />

        <ResponseField name="last_altered_on" type="string">
          Example: `"2026-08-21T11:22:57.77+00:00"`.
        </ResponseField>

        <ResponseField name="views_depends_on" type="object" />

        <ResponseField name="materialized_view_count" type="string" />
      </ResponseField>

      <ResponseField name="ai_insights" type="object" />

      <ResponseField name="metric_count" type="integer">
        Example: `3`.
      </ResponseField>

      <ResponseField name="asset_count" type="integer">
        Example: `6`.
      </ResponseField>

      <ResponseField name="child_asset_count" type="integer">
        Example: `5`.
      </ResponseField>

      <ResponseField name="metric" type="object[]">
        <ResponseField name="name" type="string">
          Example: `"Freshness"`.
        </ResponseField>

        <ResponseField name="value" type="integer">
          Example: `2641487`.
        </ResponseField>

        <ResponseField name="metric_detail_id" type="string">
          Example: `"52ea9752-dd9b-405f-b074-0c8ac982ff4f"`.
        </ResponseField>
      </ResponseField>

      <ResponseField name="reports_count" type="integer">
        Example: `0`.
      </ResponseField>

      <ResponseField name="tables_count" type="integer">
        Example: `0`.
      </ResponseField>

      <ResponseField name="semantic_models_count" type="integer">
        Example: `0`.
      </ResponseField>

      <ResponseField name="dashboards_count" type="integer">
        Example: `0`.
      </ResponseField>

      <ResponseField name="dataflows_count" type="integer">
        Example: `0`.
      </ResponseField>

      <ResponseField name="domain" type="object[]">
        <ResponseField name="id" type="string">
          Example: `"3ffcfa0b-05bd-4724-8ee8-1533693a4b21"`.
        </ResponseField>

        <ResponseField name="label" type="string">
          Example: `"dfghjkghfgnhmvjbmnm"`.
        </ResponseField>
      </ResponseField>

      <ResponseField name="application" type="object[]">
        <ResponseField name="id" type="string">
          Example: `"b072ef9e-bb3d-4d0a-9ef7-fda0922d5ec0"`.
        </ResponseField>

        <ResponseField name="type" type="string">
          Example: `"application"`.
        </ResponseField>

        <ResponseField name="label" type="string">
          Example: `"App test ready for review"`.
        </ResponseField>
      </ResponseField>

      <ResponseField name="product" type="object[]">
        <ResponseField name="id" type="string">
          Example: `"117d8d7d-da6f-4dd7-ae51-50cea465212c"`.
        </ResponseField>

        <ResponseField name="type" type="string">
          Example: `"product"`.
        </ResponseField>

        <ResponseField name="label" type="string">
          Example: `"B2B Wholesale Portal"`.
        </ResponseField>
      </ResponseField>

      <ResponseField name="tag" type="object[]">
        <ResponseField name="id" type="string">
          Example: `"f1f39d73-2497-4c7f-bad3-7df338fc88f5"`.
        </ResponseField>

        <ResponseField name="type" type="string">
          Example: `"tag"`.
        </ResponseField>

        <ResponseField name="label" type="string">
          Example: `"Cyprus Passport Number"`.
        </ResponseField>
      </ResponseField>

      <ResponseField name="term" type="object[]">
        <ResponseField name="id" type="string">
          Example: `"6933fb16-dba7-4abf-8b2c-7e65e50bc6ae"`.
        </ResponseField>

        <ResponseField name="name" type="string">
          Example: `"Action"`.
        </ResponseField>

        <ResponseField name="type" type="string">
          Example: `"LINKED"`.
        </ResponseField>

        <ResponseField name="label" type="string">
          Example: `"Action"`.
        </ResponseField>
      </ResponseField>

      <ResponseField name="viewers" type="object[]">
        <ResponseField name="id" type="string">
          Example: `"eea07098-a9d0-4e66-aba0-5b297cc2a901"`.
        </ResponseField>

        <ResponseField name="email" type="string">
          Example: `"Sureshreddy@dqlabs.ai"`.
        </ResponseField>

        <ResponseField name="viewed_at" type="string">
          Example: `"2026-09-20T18:01:24.027248+00:00"`.
        </ResponseField>
      </ResponseField>

      <ResponseField name="catalog_upstream" type="object">
        <ResponseField name="items" type="object[]">
          <ResponseField name="id" type="string">
            Example: `"cf548762-a796-4128-b1b4-479a264e60bc"`.
          </ResponseField>

          <ResponseField name="name" type="string">
            Example: `"orders"`.
          </ResponseField>

          <ResponseField name="type" type="string">
            Example: `"SEED"`.
          </ResponseField>

          <ResponseField name="label" type="string">
            Example: `"orders"`.
          </ResponseField>

          <ResponseField name="sub_type" type="string">
            Example: `"DBT_SEED"`.
          </ResponseField>

          <ResponseField name="direction" type="string">
            Example: `"UPSTREAM"`.
          </ResponseField>

          <ResponseField name="depth_level" type="integer">
            Example: `1`.
          </ResponseField>

          <ResponseField name="qualified_name" type="string">
            Example: `"\"AIRFLOW_DBT_EKS_KPO\".\"ORDERS\""`.
          </ResponseField>
        </ResponseField>

        <ResponseField name="total_count" type="integer">
          Example: `1`.
        </ResponseField>
      </ResponseField>

      <ResponseField name="catalog_downstream" type="object">
        <ResponseField name="items" type="object[]">
          <ResponseField name="id" type="string">
            Example: `"9b31cf4c-a9f8-44c6-818d-8fbce5dfd580"`.
          </ResponseField>

          <ResponseField name="name" type="string">
            Example: `"BRZ_ORDERS"`.
          </ResponseField>

          <ResponseField name="type" type="string">
            Example: `"TABLE"`.
          </ResponseField>

          <ResponseField name="label" type="string">
            Example: `"BRZ_ORDERS"`.
          </ResponseField>

          <ResponseField name="sub_type" type="string">
            Example: `"TABLE"`.
          </ResponseField>

          <ResponseField name="direction" type="string">
            Example: `"DOWNSTREAM"`.
          </ResponseField>

          <ResponseField name="depth_level" type="integer">
            Example: `1`.
          </ResponseField>

          <ResponseField name="qualified_name" type="string">
            Example: `"\"AF_DBT_EKS\".\"BRONZE\".\"BRZ_ORDERS\""`.
          </ResponseField>

          <ResponseField name="is_schema_impacted" type="boolean">
            Example: `false`.
          </ResponseField>
        </ResponseField>

        <ResponseField name="total_count" type="integer">
          Example: `14`.
        </ResponseField>

        <ResponseField name="downstream_impacted_count" type="integer">
          Example: `0`.
        </ResponseField>
      </ResponseField>

      <ResponseField name="recent_conversations" type="object[]" />

      <ResponseField name="context_freshness" type="object">
        <ResponseField name="description" type="string" />

        <ResponseField name="terms_linked" type="string">
          Example: `"2026-09-20T12:29:14.868721+00:00"`.
        </ResponseField>

        <ResponseField name="owner_verified" type="string" />

        <ResponseField name="schema_changed" type="string" />
      </ResponseField>

      <ResponseField name="run_scope" type="string">
        Example: `"FULL"`.
      </ResponseField>

      <ResponseField name="sampling_config" type="object" />

      <ResponseField name="quality_config" type="object" />

      <ResponseField name="incremental_config" type="object" />

      <ResponseField name="description_by" type="string">
        Example: `"prizm"`.
      </ResponseField>
    </ResponseField>

    **Example**

    <CodeGroup>
      ```bash cURL theme={null}
      curl -X GET "https://<your-workspace>.prizmdata.ai/api/v1/core/asset/{assetId}" \
        -H "Authorization: Bearer <YOUR_API_TOKEN>"
      ```
    </CodeGroup>

    ```json Response theme={null}
    {
      "success": true,
      "message": "Get an asset by its ID.",
      "timestamp": "2026-09-21T09:43:50.316067+00:00",
      "correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
      "data": {
        "id": "5ce10aa5-24a3-4180-b459-f1593bad5012",
        "name": "ORDERS",
        "type": "TABLE",
        "sub_type": "TABLE",
        "qualified_name": "\"AF_DBT_EKS\".\"RAW\".\"ORDERS\"",
        "parents": [
          {
            "id": "92987f97-d391-4707-8dbb-00c6cdef9b42",
            "name": "AF_DBT_EKS",
            "type": "DATABASE"
          }
        ],
        "parent_asset_id": "e5478b85-08fa-4371-ad43-b1f1cb7b5eca",
        "parent_asset_name": "RAW",
        "total_views": 11,
        "total_alerts": 0,
        "total_issues": 0,
        "total_conversations": 0,
        "total_likes": 0,
        "total_dislikes": 0,
        "total_query": 162,
        "status": "READY_FOR_REVIEW",
        "asset_metadata": {},
        "is_valid": false,
        "is_active": true,
        "is_delete": false,
        "is_incremental": false,
        "created_at": "2026-08-20T12:42:54.220354Z",
        "modified_at": "2026-09-20T12:54:48.320756Z",
        "identifier": [],
        "fingerprint": [
          {
            "id": "2c58e584-bb9b-4f58-b4f8-e2e6053f2ce8",
            "label": "ORDER_CREATED_AT"
          }
        ],
        "criticality_score": 1.0,
        "criticality_category": "CRITICAL",
        "is_criticality_override": false,
        "is_profile_type_override": false,
        "profile_type": "ADVANCED",
        "quality_profile_type": "ADVANCED",
        "has_quality_metric_config": false,
        "total_records": 4,
        "schema_changes": 0,
        "source_id": "d03fc400-68e1-43e1-8eb5-4386b55e11d8",
        "source_name": "airflow eks kpo",
        "source_type": "Snowflake",
        "details": {
          "id": "5ce10aa5-24a3-4180-b459-f1593bad5012",
          "bytes": 1536,
          "owner": null,
          "comment": null,
          "asset_id": "5ce10aa5-24a3-4180-b459-f1593bad5012",
          "row_count": 4,
          "schema_id": "e5478b85-08fa-4371-ad43-b1f1cb7b5eca",
          "created_on": null,
          "is_dynamic": false,
          "is_iceberg": false,
          "table_name": "ORDERS",
          "table_type": "BASE TABLE",
          "accessed_on": null,
          "foreign_key": {},
          "last_ddl_on": "2026-07-21T07:55:29.075+00:00",
          "primary_key": {},
          "schema_name": "RAW",
          "column_count": 5,
          "is_temporary": false,
          "is_transient": false,
          "database_name": "AF_DBT_EKS",
          "clustering_key": null,
          "retention_time": null,
          "last_altered_on": "2026-08-21T11:22:57.77+00:00",
          "views_depends_on": {},
          "materialized_view_count": null
        },
        "ai_insights": {},
        "metric_count": 3,
        "asset_count": 6,
        "child_asset_count": 5,
        "metric": [
          {
            "name": "Freshness",
            "value": 2641487,
            "metric_detail_id": "52ea9752-dd9b-405f-b074-0c8ac982ff4f"
          }
        ],
        "reports_count": 0,
        "tables_count": 0,
        "semantic_models_count": 0,
        "dashboards_count": 0,
        "dataflows_count": 0,
        "domain": [
          {
            "id": "3ffcfa0b-05bd-4724-8ee8-1533693a4b21",
            "label": "dfghjkghfgnhmvjbmnm"
          }
        ],
        "application": [
          {
            "id": "b072ef9e-bb3d-4d0a-9ef7-fda0922d5ec0",
            "type": "application",
            "label": "App test ready for review"
          }
        ],
        "product": [
          {
            "id": "117d8d7d-da6f-4dd7-ae51-50cea465212c",
            "type": "product",
            "label": "B2B Wholesale Portal"
          }
        ],
        "tag": [
          {
            "id": "f1f39d73-2497-4c7f-bad3-7df338fc88f5",
            "type": "tag",
            "label": "Cyprus Passport Number"
          }
        ],
        "term": [
          {
            "id": "6933fb16-dba7-4abf-8b2c-7e65e50bc6ae",
            "name": "Action",
            "type": "LINKED",
            "label": "Action"
          }
        ],
        "viewers": [
          {
            "id": "eea07098-a9d0-4e66-aba0-5b297cc2a901",
            "email": "Sureshreddy@dqlabs.ai",
            "viewed_at": "2026-09-20T18:01:24.027248+00:00"
          }
        ],
        "catalog_upstream": {
          "items": [
            {
              "id": "cf548762-a796-4128-b1b4-479a264e60bc",
              "name": "orders",
              "type": "SEED",
              "label": "orders",
              "sub_type": "DBT_SEED",
              "direction": "UPSTREAM",
              "depth_level": 1,
              "qualified_name": "\"AIRFLOW_DBT_EKS_KPO\".\"ORDERS\""
            }
          ],
          "total_count": 1
        },
        "catalog_downstream": {
          "items": [
            {
              "id": "9b31cf4c-a9f8-44c6-818d-8fbce5dfd580",
              "name": "BRZ_ORDERS",
              "type": "TABLE",
              "label": "BRZ_ORDERS",
              "sub_type": "TABLE",
              "direction": "DOWNSTREAM",
              "depth_level": 1,
              "qualified_name": "\"AF_DBT_EKS\".\"BRONZE\".\"BRZ_ORDERS\"",
              "is_schema_impacted": false
            }
          ],
          "total_count": 14,
          "downstream_impacted_count": 0
        },
        "recent_conversations": [],
        "context_freshness": {
          "description": null,
          "terms_linked": "2026-09-20T12:29:14.868721+00:00",
          "owner_verified": null,
          "schema_changed": null
        },
        "run_scope": "FULL",
        "sampling_config": {},
        "quality_config": {},
        "incremental_config": {},
        "description_by": "prizm"
      }
    }
    ```
  </Tab>

  <Tab title="Get Asset Schema">
    `POST /api/v1/core/asset/{assetId}/attribute`

    Get all schema for a specific asset.

    **Path Parameters**

    <ParamField path="assetId" type="string" required={true}>
      Example: `3fa85f64-5717-4562-b3fc-2c963f66afa6`
    </ParamField>

    **Response**

    <ResponseField name="success" type="boolean">Whether the request completed successfully</ResponseField>

    <ResponseField name="message" type="string">Human-readable result message</ResponseField>

    <ResponseField name="timestamp" type="string">ISO 8601 server timestamp</ResponseField>

    <ResponseField name="correlation_id" type="string">Unique ID for this request</ResponseField>

    <ResponseField name="data" type="object">
      <ResponseField name="data" type="object[]" />

      <ResponseField name="total_count" type="integer">
        Example: `0`.
      </ResponseField>

      <ResponseField name="metrics" type="object[]" />
    </ResponseField>

    **Example**

    <CodeGroup>
      ```bash cURL theme={null}
      curl -X POST "https://<your-workspace>.prizmdata.ai/api/v1/core/asset/{assetId}/attribute" \
        -H "Authorization: Bearer <YOUR_API_TOKEN>" \
        -H "Content-Type: application/json" \
        -d '{}'
      ```
    </CodeGroup>

    ```json Response theme={null}
    {
      "success": true,
      "message": "Get all schema for a specific asset.",
      "timestamp": "2026-09-21T09:43:50.316067+00:00",
      "correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
      "data": {
        "data": [],
        "total_count": 0,
        "metrics": []
      }
    }
    ```
  </Tab>

  <Tab title="Get Lineage">
    `POST /api/v1/core/asset/{assetId}/lineage`

    Get comprehensive lineage data for a specific asset.

    **Path Parameters**

    <ParamField path="assetId" type="string" required={true}>
      Example: `3fa85f64-5717-4562-b3fc-2c963f66afa6`
    </ParamField>

    **Response**

    <ResponseField name="success" type="boolean">Whether the request completed successfully</ResponseField>

    <ResponseField name="message" type="string">Human-readable result message</ResponseField>

    <ResponseField name="timestamp" type="string">ISO 8601 server timestamp</ResponseField>

    <ResponseField name="correlation_id" type="string">Unique ID for this request</ResponseField>

    <ResponseField name="data" type="object">
      <ResponseField name="nodes" type="object[]" />

      <ResponseField name="edges" type="object[]">
        <ResponseField name="id" type="string">
          Example: `"a7b46ee3-9382-453f-9e46-dd67ccda11b6"`.
        </ResponseField>

        <ResponseField name="source" type="string">
          Example: `"e7e10ba4-187a-4912-a096-dc54a38a6d36"`.
        </ResponseField>

        <ResponseField name="target" type="string">
          Example: `"21e8132a-40c5-566a-90d7-97b5c0985be2"`.
        </ResponseField>

        <ResponseField name="type" type="string">
          Example: `"attribute"`.
        </ResponseField>

        <ResponseField name="sourceAttribute" type="string">
          Example: `"8e83eee3-34ae-4a21-8224-1e9ddf126d20"`.
        </ResponseField>

        <ResponseField name="targetAttribute" type="string">
          Example: `"004fbf50-60b1-58d0-91fe-e49bd2738dd5"`.
        </ResponseField>

        <ResponseField name="data" type="object" />
      </ResponseField>

      <ResponseField name="is_combine_lineage" type="boolean">
        Example: `false`.
      </ResponseField>
    </ResponseField>

    **Example**

    <CodeGroup>
      ```bash cURL theme={null}
      curl -X POST "https://<your-workspace>.prizmdata.ai/api/v1/core/asset/{assetId}/lineage" \
        -H "Authorization: Bearer <YOUR_API_TOKEN>" \
        -H "Content-Type: application/json" \
        -d '{}'
      ```
    </CodeGroup>

    ```json Response theme={null}
    {
      "success": true,
      "message": "Get comprehensive lineage data for a specific asset.",
      "timestamp": "2026-09-21T09:43:50.316067+00:00",
      "correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
      "data": {
        "nodes": [],
        "edges": [
          {
            "id": "a7b46ee3-9382-453f-9e46-dd67ccda11b6",
            "source": "e7e10ba4-187a-4912-a096-dc54a38a6d36",
            "target": "21e8132a-40c5-566a-90d7-97b5c0985be2",
            "type": "attribute",
            "sourceAttribute": "8e83eee3-34ae-4a21-8224-1e9ddf126d20",
            "targetAttribute": "004fbf50-60b1-58d0-91fe-e49bd2738dd5",
            "data": {}
          }
        ],
        "is_combine_lineage": false
      }
    }
    ```
  </Tab>

  <Tab title="Get Assets">
    `POST /api/v1/core/asset/list`

    Get a paginated list of assets with filtering, sorting, and search capabilities.

    **Request Body**

    <ParamField body="pagination" type="object">
      <ParamField body="page" type="integer">
        Example: `1`.
      </ParamField>

      <ParamField body="pageSize" type="integer">
        Example: `10`.
      </ParamField>
    </ParamField>

    <ParamField body="sorting" type="object[]" />

    <ParamField body="filters" type="object[]" />

    <ParamField body="search" type="string">
      Example: `""`.
    </ParamField>

    <ParamField body="export" type="boolean">
      Example: `false`.
    </ParamField>

    **Response**

    <ResponseField name="success" type="boolean">Whether the request completed successfully</ResponseField>

    <ResponseField name="message" type="string">Human-readable result message</ResponseField>

    <ResponseField name="timestamp" type="string">ISO 8601 server timestamp</ResponseField>

    <ResponseField name="correlation_id" type="string">Unique ID for this request</ResponseField>

    <ResponseField name="data" type="object">
      <ResponseField name="data" type="object[]">
        <ResponseField name="id" type="string">
          Example: `"004fbf50-60b1-58d0-91fe-e49bd2738dd5"`.
        </ResponseField>

        <ResponseField name="source_id" type="string">
          Example: `"27b7f521-5991-49cd-8ca6-1adbff51038f"`.
        </ResponseField>

        <ResponseField name="source_name" type="string">
          Example: `"PowerBI_Sanity_Check"`.
        </ResponseField>

        <ResponseField name="source_type" type="string">
          Example: `"POWERBI"`.
        </ResponseField>

        <ResponseField name="name" type="string">
          Example: `"COMPUTED_TXN_COUNT"`.
        </ResponseField>

        <ResponseField name="qualified_name" type="string">
          Example: `"\"PRIZM_BANKING_SPACE\".\"SEMANTIC_MODEL\".\"PRIZM_BAKING_SEMANTIC_PVN\".\"RPT_DAILY_ACCOUNT_SUMMARY\".\"COMPUTED_TXN_COUNT\""`.
        </ResponseField>

        <ResponseField name="type" type="string">
          Example: `"ATTRIBUTE"`.
        </ResponseField>

        <ResponseField name="description" type="string" />

        <ResponseField name="parent_asset_id" type="string">
          Example: `"21e8132a-40c5-566a-90d7-97b5c0985be2"`.
        </ResponseField>

        <ResponseField name="parent_asset_name" type="string">
          Example: `"RPT_DAILY_ACCOUNT_SUMMARY"`.
        </ResponseField>

        <ResponseField name="parents" type="object[]">
          <ResponseField name="id" type="string">
            Example: `"004fbf50-60b1-58d0-91fe-e49bd2738dd5"`.
          </ResponseField>

          <ResponseField name="name" type="string">
            Example: `"COMPUTED_TXN_COUNT"`.
          </ResponseField>

          <ResponseField name="type" type="string">
            Example: `"ATTRIBUTE"`.
          </ResponseField>
        </ResponseField>

        <ResponseField name="criticality_score" type="number">
          Example: `1.0`.
        </ResponseField>

        <ResponseField name="criticality_category" type="string">
          Example: `"CRITICAL"`.
        </ResponseField>

        <ResponseField name="is_criticality_override" type="boolean">
          Example: `false`.
        </ResponseField>

        <ResponseField name="is_profile_type_override" type="boolean">
          Example: `false`.
        </ResponseField>

        <ResponseField name="is_incremental" type="boolean">
          Example: `false`.
        </ResponseField>

        <ResponseField name="status" type="string">
          Example: `"READY_FOR_REVIEW"`.
        </ResponseField>

        <ResponseField name="total_views" type="integer">
          Example: `2`.
        </ResponseField>

        <ResponseField name="total_alerts" type="integer">
          Example: `0`.
        </ResponseField>

        <ResponseField name="total_issues" type="integer">
          Example: `0`.
        </ResponseField>

        <ResponseField name="total_conversations" type="integer">
          Example: `0`.
        </ResponseField>

        <ResponseField name="total_query" type="integer">
          Example: `0`.
        </ResponseField>

        <ResponseField name="total_likes" type="integer">
          Example: `0`.
        </ResponseField>

        <ResponseField name="total_dislikes" type="integer">
          Example: `0`.
        </ResponseField>

        <ResponseField name="created_at" type="string">
          Example: `"2026-09-21T02:41:49.023758Z"`.
        </ResponseField>

        <ResponseField name="term" type="object[]">
          <ResponseField name="id" type="string">
            Example: `"118cf65e-031a-4fbf-a327-b42ce4e3f868"`.
          </ResponseField>

          <ResponseField name="name" type="string">
            Example: `"Prod validation test"`.
          </ResponseField>

          <ResponseField name="type" type="string">
            Example: `"LINKED"`.
          </ResponseField>

          <ResponseField name="label" type="string">
            Example: `"Prod validation test"`.
          </ResponseField>
        </ResponseField>

        <ResponseField name="metric_count" type="integer">
          Example: `21`.
        </ResponseField>

        <ResponseField name="recent_runs" type="object[]">
          <ResponseField name="run_id" type="string">
            Example: `"4c46d961-97ec-410e-8f48-1a0989686434"`.
          </ResponseField>

          <ResponseField name="collected_at" type="string">
            Example: `"2026-09-19T11:44:44.535425+00:00"`.
          </ResponseField>

          <ResponseField name="alert_priority" type="string" />

          <ResponseField name="metric_detail_id" type="string">
            Example: `"0fa55b3d-de58-45ec-a512-0cc1f17000cc"`.
          </ResponseField>
        </ResponseField>

        <ResponseField name="is_duplicate" type="boolean">
          Example: `false`.
        </ResponseField>

        <ResponseField name="profile_type" type="string">
          Example: `"ADVANCED"`.
        </ResponseField>

        <ResponseField name="quality_profile_type" type="string">
          Example: `"ADVANCED"`.
        </ResponseField>

        <ResponseField name="is_active" type="boolean">
          Example: `true`.
        </ResponseField>

        <ResponseField name="total_document" type="integer">
          Example: `0`.
        </ResponseField>

        <ResponseField name="test_count" type="integer">
          Example: `0`.
        </ResponseField>

        <ResponseField name="sub_type" type="string">
          Example: `"POWERBI_SEMANTIC_MODEL_ATTRIBUTE"`.
        </ResponseField>

        <ResponseField name="child_asset_count" type="integer">
          Example: `0`.
        </ResponseField>

        <ResponseField name="asset_id" type="string">
          Example: `"004fbf50-60b1-58d0-91fe-e49bd2738dd5"`.
        </ResponseField>

        <ResponseField name="has_alerts" type="boolean">
          Example: `false`.
        </ResponseField>

        <ResponseField name="has_issues" type="boolean">
          Example: `false`.
        </ResponseField>

        <ResponseField name="modified_at" type="string">
          Example: `"2026-09-21T02:41:50.471391+00:00"`.
        </ResponseField>

        <ResponseField name="asset_metadata" type="object">
          <ResponseField name="table_name" type="string">
            Example: `"RPT_DAILY_ACCOUNT_SUMMARY"`.
          </ResponseField>

          <ResponseField name="workspace_id" type="string">
            Example: `"c6735310-e1d6-445b-9e88-2a9f35ef5bbb"`.
          </ResponseField>

          <ResponseField name="semantic_model_id" type="string">
            Example: `"a8309a5c-2f97-4cc9-bf45-05d80636be73"`.
          </ResponseField>
        </ResponseField>

        <ResponseField name="gov_created_at" type="string">
          Example: `"2026-09-19T15:12:19.393374+00:00"`.
        </ResponseField>

        <ResponseField name="table_asset_id" type="string">
          Example: `"21e8132a-40c5-566a-90d7-97b5c0985be2"`.
        </ResponseField>

        <ResponseField name="additional_data" type="object" />

        <ResponseField name="attr_null_count" type="integer">
          Example: `43`.
        </ResponseField>

        <ResponseField name="gov_modified_at" type="string">
          Example: `"2026-09-20T15:40:11.397744+00:00"`.
        </ResponseField>

        <ResponseField name="has_conversations" type="boolean">
          Example: `false`.
        </ResponseField>

        <ResponseField name="attr_distinct_count" type="integer">
          Example: `35`.
        </ResponseField>
      </ResponseField>

      <ResponseField name="total_count" type="integer">
        Example: `24664`.
      </ResponseField>

      <ResponseField name="metrics" type="object[]">
        <ResponseField name="name" type="string">
          Example: `"DATABRICKS"`.
        </ResponseField>

        <ResponseField name="value" type="integer">
          Example: `17200`.
        </ResponseField>
      </ResponseField>
    </ResponseField>

    **Example**

    <CodeGroup>
      ```bash cURL theme={null}
      curl -X POST "https://<your-workspace>.prizmdata.ai/api/v1/core/asset/list" \
        -H "Authorization: Bearer <YOUR_API_TOKEN>" \
        -H "Content-Type: application/json" \
        -d '{
        "pagination": {
          "page": 1,
          "pageSize": 10
        },
        "sorting": [],
        "filters": [],
        "search": "",
        "export": false
      }'
      ```
    </CodeGroup>

    ```json Response theme={null}
    {
      "success": true,
      "message": "Get a paginated list of assets with filtering, sorting, and search capabilities.",
      "timestamp": "2026-09-21T09:43:50.316067+00:00",
      "correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
      "data": {
        "data": [
          {
            "id": "004fbf50-60b1-58d0-91fe-e49bd2738dd5",
            "source_id": "27b7f521-5991-49cd-8ca6-1adbff51038f",
            "source_name": "PowerBI_Sanity_Check",
            "source_type": "POWERBI",
            "name": "COMPUTED_TXN_COUNT",
            "qualified_name": "\"PRIZM_BANKING_SPACE\".\"SEMANTIC_MODEL\".\"PRIZM_BAKING_SEMANTIC_PVN\".\"RPT_DAILY_ACCOUNT_SUMMARY\".\"COMPUTED_TXN_COUNT\"",
            "type": "ATTRIBUTE",
            "description": null,
            "parent_asset_id": "21e8132a-40c5-566a-90d7-97b5c0985be2",
            "parent_asset_name": "RPT_DAILY_ACCOUNT_SUMMARY",
            "parents": [
              {
                "id": "004fbf50-60b1-58d0-91fe-e49bd2738dd5",
                "name": "COMPUTED_TXN_COUNT",
                "type": "ATTRIBUTE"
              }
            ],
            "criticality_score": 1.0,
            "criticality_category": "CRITICAL",
            "is_criticality_override": false,
            "is_profile_type_override": false,
            "is_incremental": false,
            "status": "READY_FOR_REVIEW",
            "total_views": 2,
            "total_alerts": 0,
            "total_issues": 0,
            "total_conversations": 0,
            "total_query": 0,
            "total_likes": 0,
            "total_dislikes": 0,
            "created_at": "2026-09-21T02:41:49.023758Z",
            "term": [
              {
                "id": "118cf65e-031a-4fbf-a327-b42ce4e3f868",
                "name": "Prod validation test",
                "type": "LINKED",
                "label": "Prod validation test"
              }
            ],
            "metric_count": 21,
            "recent_runs": [
              {
                "run_id": "4c46d961-97ec-410e-8f48-1a0989686434",
                "collected_at": "2026-09-19T11:44:44.535425+00:00",
                "alert_priority": null,
                "metric_detail_id": "0fa55b3d-de58-45ec-a512-0cc1f17000cc"
              }
            ],
            "is_duplicate": false,
            "profile_type": "ADVANCED",
            "quality_profile_type": "ADVANCED",
            "is_active": true,
            "total_document": 0,
            "test_count": 0,
            "sub_type": "POWERBI_SEMANTIC_MODEL_ATTRIBUTE",
            "child_asset_count": 0,
            "asset_id": "004fbf50-60b1-58d0-91fe-e49bd2738dd5",
            "has_alerts": false,
            "has_issues": false,
            "modified_at": "2026-09-21T02:41:50.471391+00:00",
            "asset_metadata": {
              "table_name": "RPT_DAILY_ACCOUNT_SUMMARY",
              "workspace_id": "c6735310-e1d6-445b-9e88-2a9f35ef5bbb",
              "semantic_model_id": "a8309a5c-2f97-4cc9-bf45-05d80636be73"
            },
            "gov_created_at": "2026-09-19T15:12:19.393374+00:00",
            "table_asset_id": "21e8132a-40c5-566a-90d7-97b5c0985be2",
            "additional_data": {},
            "attr_null_count": 43,
            "gov_modified_at": "2026-09-20T15:40:11.397744+00:00",
            "has_conversations": false,
            "attr_distinct_count": 35
          }
        ],
        "total_count": 24664,
        "metrics": [
          {
            "name": "DATABRICKS",
            "value": 17200
          }
        ]
      }
    }
    ```
  </Tab>

  <Tab title="Update Asset">
    `PUT /api/v1/core/asset/{assetId}`

    Update an existing asset in the database.

    **Path Parameters**

    <ParamField path="assetId" type="string" required={true}>
      Example: `3fa85f64-5717-4562-b3fc-2c963f66afa6`
    </ParamField>

    **Response**

    <ResponseField name="success" type="boolean">Whether the request completed successfully</ResponseField>

    <ResponseField name="message" type="string">Human-readable result message</ResponseField>

    <ResponseField name="timestamp" type="string">ISO 8601 server timestamp</ResponseField>

    <ResponseField name="correlation_id" type="string">Unique ID for this request</ResponseField>

    <ResponseField name="data" type="object">The endpoint's response payload.</ResponseField>

    **Example**

    <CodeGroup>
      ```bash cURL theme={null}
      curl -X PUT "https://<your-workspace>.prizmdata.ai/api/v1/core/asset/{assetId}" \
        -H "Authorization: Bearer <YOUR_API_TOKEN>" \
        -H "Content-Type: application/json" \
        -d '{}'
      ```
    </CodeGroup>

    ```json Response theme={null}
    {
      "success": true,
      "message": "Update an existing asset in the database.",
      "timestamp": "2026-09-21T09:43:50.316067+00:00",
      "correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
      "data": {}
    }
    ```
  </Tab>

  <Tab title="Update Asset Attribute">
    `POST /api/v1/core/asset/{assetId}/update-attribute`

    Update an existing asset attribute in the database.

    **Path Parameters**

    <ParamField path="assetId" type="string" required={true}>
      Example: `3fa85f64-5717-4562-b3fc-2c963f66afa6`
    </ParamField>

    **Response**

    <ResponseField name="success" type="boolean">Whether the request completed successfully</ResponseField>

    <ResponseField name="message" type="string">Human-readable result message</ResponseField>

    <ResponseField name="timestamp" type="string">ISO 8601 server timestamp</ResponseField>

    <ResponseField name="correlation_id" type="string">Unique ID for this request</ResponseField>

    <ResponseField name="data" type="object">The endpoint's response payload.</ResponseField>

    **Example**

    <CodeGroup>
      ```bash cURL theme={null}
      curl -X POST "https://<your-workspace>.prizmdata.ai/api/v1/core/asset/{assetId}/update-attribute" \
        -H "Authorization: Bearer <YOUR_API_TOKEN>" \
        -H "Content-Type: application/json" \
        -d '{}'
      ```
    </CodeGroup>

    ```json Response theme={null}
    {
      "success": true,
      "message": "Update an existing asset attribute in the database.",
      "timestamp": "2026-09-21T09:43:50.316067+00:00",
      "correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
      "data": {}
    }
    ```
  </Tab>
</Tabs>
